Package org.eclipse.emf.cdo.spi.common.commit

# Interface InternalCDOCommitInfoManager.CommitInfoLoader

All Known Subinterfaces:
  `CDOSessionProtocol`, `IDBStoreAccessor`, `ILissomeStoreAccessor`, `IMongoDBStoreAccessor`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`, `IStoreAccessor`, `IStoreAccessor.NewIDSupport`, `IStoreAccessor.Raw`, `IStoreAccessor.Raw2`, `IStoreAccessor.UnitSupport`

All Known Implementing Classes:
  `LongIDStoreAccessor`, `StoreAccessor`, `StoreAccessorBase`

Enclosing interface:
  `InternalCDOCommitInfoManager`

public static interface InternalCDOCommitInfoManager.CommitInfoLoader
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOCommitData`
`loadCommitData(long timeStamp)`
`void`
`loadCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)`

## Method Details

### loadCommitInfos

void loadCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)

### loadCommitData

CDOCommitData loadCommitData(long timeStamp)